from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XPanel(Protocol):
    def getId(self) -> str: ...
    def getTitle(self) -> str: ...
    def setTitle(self, newTitle: str) -> None: ...
    def isExpanded(self) -> bool: ...
    def collapse(self) -> None: ...
    def expand(self, bCollapseOther: bool) -> None: ...
    def getOrderIndex(self) -> int: ...
    def setOrderIndex(self, newOrderIndex: int) -> None: ...
    def moveFirst(self) -> None: ...
    def moveLast(self) -> None: ...
    def moveUp(self) -> None: ...
    def moveDown(self) -> None: ...
    def getDialog(self) -> XWindow: ...
